> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer a rendered execution to new destinations



## OpenAPI

````yaml /api-reference/openapi.json post /report-executions/{executionId}/transfers
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: https://app-api.costory.io
security: []
paths:
  /report-executions/{executionId}/transfers:
    post:
      tags:
        - Reports
      summary: Transfer a rendered execution to new destinations
      operationId: transferReportExecution
      parameters:
        - schema:
            type: string
            format: cuid
          required: true
          name: executionId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                destinations:
                  type: array
                  items:
                    type: object
                    properties:
                      destinationType:
                        type: string
                        enum:
                          - SLACK
                          - EMAIL
                          - TEAMS
                      destinationValue:
                        type: string
                        minLength: 1
                    required:
                      - destinationType
                      - destinationValue
                  minItems: 1
                  maxItems: 10
              required:
                - destinations
      responses:
        '200':
          description: Transfer results per destination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportsExecutionsTransferOutput'
        '400':
          description: Execution cannot be transferred
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ReportsValidationError'
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - EXECUTION_NOT_SENDABLE
                    required:
                      - error
                    additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: Execution not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportsNotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    ReportsExecutionsTransferOutput:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              destinationIndex:
                type: integer
                minimum: 0
              ok:
                type: boolean
              errorMessage:
                type: string
                nullable: true
            required:
              - destinationIndex
              - ok
            additionalProperties: false
      required:
        - results
      additionalProperties: false
    ReportsValidationError:
      type: object
      properties:
        error:
          type: string
          enum:
            - VALIDATION_ERROR
        reason:
          type: string
        details:
          anyOf:
            - type: string
            - type: number
            - type: boolean
            - nullable: true
              type: string
              enum:
                - null
            - type: array
              items: {}
            - type: object
              additionalProperties: {}
      required:
        - error
        - details
      additionalProperties: false
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    ReportsNotFound:
      type: object
      properties:
        error:
          type: string
          enum:
            - NOT_FOUND
      required:
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````